Subject: Re: ds/* (was Re: What's cooking in git.git (Aug 2022, #06; Wed, 17))

From: Junio C Hamano <[email-masked]>
Date: Thu, 18 Aug 2022 10:39:19 -0700

Derrick Stolee <[email-masked]> writes:

> On 8/17/2022 10:23 PM, Junio C Hamano wrote:
>
>> * ds/bundle-uri-clone (2022-08-10) 5 commits
>>  - clone: --bundle-uri cannot be combined with --depth
>>  - bundle-uri: add support for http(s):// and file://
>>  - clone: add --bundle-uri option
>>  - bundle-uri: create basic file-copy logic
>>  - remote-curl: add 'get' capability
>> 
>>  Implement "git clone --bundle-uri".
>>  source: <[email-masked]>
>
> This series has been stable for a while. Please consider merging it
> to 'next' when you are ready.

I think earlier rounds of this series were fairly well reviewed and
the interdiff in the cover letter has nothing questionable.

>> * ds/decorate-filter-tweak (2022-08-05) 11 commits
>>  - fetch: use ref_namespaces during prefetch
>>  - maintenance: stop writing log.excludeDecoration
>>  - log: create log.initialDecorationSet=all
>>  - log: add --clear-decorations option
>>  - log: add default decoration filter
>>  - log-tree: use ref_namespaces instead of if/else-if
>>  - refs: use ref_namespaces for replace refs base
>>  - refs: add array of ref namespaces
>>  - t4207: test coloring of grafted decorations
>>  - t4207: modernize test
>>  - refs: allow "HEAD" as decoration filter
>> 
>>  The namespaces used by "log --decorate" from "refs/" hierarchy by
>>  default has been tightened.
>> 
>>  Will merge to 'next'?
>>  source: <[email-masked]>
>
> This has been stable for a few What's Cooking mails. Should be
> ready to go.

This one I am not as confident as the other one, though.  I actually
was thinking that this may be getting stale, not stable, without any
further "I read it once again and this round looks good" X-<.  Let
me see if I can find time to read it over before I decide.

Thanks.